#include "System/BaseMutex.h"

namespace lwe
{
	BaseMutex::~BaseMutex()
	{
	}

	BaseMutex::BaseMutex()
		: initialized(false), locked(false)
	{
	}

	BaseMutex::BaseMutex(const BaseMutex& mutex)
		: initialized(false), locked(false)
	{
	}

	BaseMutex& BaseMutex::operator=(const BaseMutex& mutex)
	{
		if (this == &mutex)
			return *this;

		initialized = mutex.initialized;
		locked = mutex.locked;

		return *this;
	}

	void BaseMutex::Initialize()
	{
	}

	void BaseMutex::UnInitialize()
	{
	}

	bool BaseMutex::IsInitialized() const
	{
		return initialized;
	}

	void BaseMutex::Lock()
	{
	}

	void BaseMutex::Unlock()
	{
	}

	bool BaseMutex::IsLocked() const
	{
		return locked;
	}
}