#include "System/System_LNX.h"
#include "System/Thread.h"
#include "Log.h"

namespace lwe
{
	UInt_32 XDG_Thread(void* args)
	{
		Str_8* uri = (Str_8*)args;

		system("xdg-open \"" + *uri + "\"");

		return 0;
	}

	void System::OpenURI(const Str_8& uri)
	{
		Thread xdg;
		xdg.Start(XDG_Thread, (void*)&uri);
		xdg.Detach();
	}
}